<?php
defined('ABSPATH') || die("Nice try");
global $wpdb;

$vfepdata = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}vfep_data WHERE id='1'", OBJECT );
if(empty(!$vfepdata)){

  $a1 = $vfepdata[0]->title;
  $b1 = $vfepdata[0]->mainhtml;
  $c1 = $vfepdata[0]->cookie;
  $d1 = $vfepdata[0]->targetpage;
  $e1 = $vfepdata[0]->theme;
  $f1 = $vfepdata[0]->popupsize;
  $g1 = $vfepdata[0]->popupbackgroundcolor;
  $h1 = $vfepdata[0]->animation;
  $i1 = $vfepdata[0]->animationspeed;
  $j1 = $vfepdata[0]->disableoverlay;
  $k1 = $vfepdata[0]->popupzindex;
  $l1 = $vfepdata[0]->enabledisablepopup;
  $m1 = $vfepdata[0]->redirectdisabledunable;
  $n1 = $vfepdata[0]->closeurl;
  $o1 = $vfepdata[0]->install_date;
  $p1 = $vfepdata[0]->bkimageurl;

}else{
  $a1 = '';
  $b1 = '';
  $c1 = '';
  $d1 = '';
  $e1 = '';
  $f1 = '';
  $g1 = '';
  $h1 = '';
  $i1 = '';
  $j1 = '';
  $k1 = '';
  $l1 = '';
  $m1 = '';
  $n1 = '';
  $o1 = '';
  $p1 = '';
}
?>
<div class="wrap" id="vfexitpopup-main">




  <h2>VF Exit Popup</h2>
  <div class="vfep-firstside">


      <form action="javascript(void(0))" method="post" id="vfexitid">
<?php wp_nonce_field('myvfexitpopupsave','vfm-nonce'); ?>
          <input type="text" name="title" placeholder="Popup Name" class="vfep-fullwidthinp" value="<?php if($a1!=''){echo esc_html_e($a1);}else{echo'';} ?>">
          <div>(Required) Enter a name to help you remember what this popup is about. Only you will see this.</div>
          <br>

          <p>You Can embed Images, Content, Iframe, Html code Here :)</p>
          <?php  $contentvfexitpopupeditor='Your Content here...'; wp_editor( $contentvfexitpopupeditor , 'vfeptextarea', $settings = array('textarea_name'=>'myvfeptextarea','editor_height' => 200) );
          if($b1!=''){
            $b1 = stripslashes($b1);
            $b1 = html_entity_decode($b1);
            echo "<script>jQuery('#vfeptextarea').val('".$b1."')</script>";
          }
          ?>

          <div class="vfep-tabs">
            <p>Popup Settings</p>
            <ul class="vfep-tabs-frst">

  					<li class="tab active" data-id="1">
  						<div class="vfep-settrigger" >Triggers</div>
  					</li>

  					<li class="tab" data-id="2">
  						<div class="vfep-settrigger" >Targeting</div>
  					</li>

  					<li class="tab " data-id="3">
  						<div class="vfep-settrigger">Display</div>
  					</li>

  					<li class="tab" data-id="4">
  						<div class="vfep-settrigger newentry-vfep">Close</div>
  					</li>

  				</ul>
          <div id="vfep-popup-triggers" class="vfep-setting-trigger">
            <label>Cookie Expire (days) By default it set on page close</label>
            <br>
            <br>
            <input type="number" name="cookies" value="<?php if($c1!=''){echo esc_html_e($c1);}else{echo'0';} ?>">
            <br>
            <span>Ex: 1 for 1 days</span>
          </div>
          <div id="vfep-popup-targeting" class="vfep-setting-trigger" style="display:none;">
            <p>Conditions allow you to show your popup to a targeted segment of your sites users.</p>
            <p>By default, this popup will be loaded on every page of your site for all users.</p>
            <p>Choose a condition to target your popup to specific content or various other segments.</p>
            <select id="selectpagefirst">
              <option value="0">Choose a page</option>
            <?php
            $mypages = get_pages( array(
                  'sort_column' => 'post_date',
                  'sort_order' => 'desc'
              ) );

              foreach( $mypages as $page )
              {
                  $title = $page->post_title;
                  $slug = $page->post_name;
                  echo "<option id='".esc_html($slug)."' value='".esc_html($title)."'>".esc_html($title)."</option>";
              }

            ?>
          </select>

          <?php
          if($d1!=''){
            echo "<script>jQuery('#selectpagefirst option').each(function(){ if(jQuery(this).val()=='".$d1."'){ jQuery(this).prop('selected','true') } });</script>";
          }
          ?>

          </div>
          <div id="vfep-popup-display" class="vfep-setting-trigger" style="display:none;">
            <ul class="vfep-tabs-fr-display">

              <li class="tab2 active" data-id="1">
                <div>Appearance</div>
              </li>

              <li class="tab2"  data-id="2">
                <div >Style</div>
              </li>

              <li class="tab2"  data-id="3">
                <div>Animation</div>
              </li>

              <li class="tab2"  data-id="4">
                <div>Advanced</div>
              </li>

            </ul>

              <div id="vfep-appearance-style" >
                <div class="vfep-chektheme">
                  <p>Theme 1</p>
                  <img src="<?php echo VFEXITPOPUP_PLUGIN_URL; ?>/assets/images/theme1.jpg">
                  <input type="radio" name="popupwithcheck" id="firstpopupcheck" <?php if($e1=='theme1'){echo 'checked';}else if($e1==''){echo 'checked';}else{echo'';} ?> value="theme1">
                  <label class="button" for="firstpopupcheck">Popup with image</label>

                  <input type="text" name="bkurl" class="bkurlbtn" placeholder="Your Image Url Here" value="<?php if($p1!=''){echo esc_html_e($p1);}else{echo'';} ?>">
                </div>
                <div class="vfep-chektheme">
                  <p>Theme 2</p>
                  <img src="<?php echo VFEXITPOPUP_PLUGIN_URL; ?>/assets/images/theme2.jpg">
                  <input type="radio" name="popupwithcheck" id="secondpopupcheck" value="theme2" <?php if($e1=='theme2'){echo 'checked';}else{echo'';} ?>>
                  <label class="button" for="secondpopupcheck">Popup without image</label>
                </div>
              </div>

              <div id="vfep-sty-style" style="display:none;" >
                <label for="vfep_size">Size</label>
                <select id="vfep_size" name="popup_settings_size" >
          				<optgroup label="Responsive Sizes">
          					<option value="tiny">Tiny - 30%</option>
          					<option value="small">Small - 40%</option>
          					<option value="medium" selected="selected">Medium - 60% (Recommended)</option>
          					<option value="normal">Normal - 70%</option>
          					<option value="large">Large - 80%</option>
          					<option value="xlarge">X Large - 95%</option>
                  </optgroup>
          			</select>
                <span style="display:none;">
                <?php
                if($f1!=''){
                  echo "<script>jQuery('#vfep_size option').each(function(){ jQuery(this).removeAttr('selected'); if(jQuery(this).val()=='".esc_html_e($f1)."'){ jQuery(this).prop('selected','true') } });</script>";
                }
                ?>
              </span>
                <p>Select the size of the popup.</p>
                <br>

                <label>Background Color</label>
                <input type="color" name="bkcolor" value="<?php if($g1!=''){echo esc_html_e($g1);}else{echo'#ffffff';} ?>">
                <p>Popup Background Color</p>

              </div>


                <div id="vfep-animation-style" style="display:none;">
                  <div class="pum-field pum-field-select animation_type-wrapper " data-id="animation_type" data-pum-dynamic-desc="null">

                    <label for="animation_type">	Animation Type	</label>

                    <select id="animation_type" name="popup_settings_animation_type" data-allow-clear="true">
                      <option value="none">None</option>
                      <option value="slide">Slide</option>
                      <option value="fade" selected="selected">Fade</option>
                      <option value="fadeAndSlide">Fade and Slide</option>
                      <option value="popup">Popup</option>
                      <option value="softshake">Soft Shake</option>
                      <option value="hardshake">Hard Shake</option>
                      <option value="shake2">Shake 2</option>
                      <option value="bounce">Bounce</option>
                      <option value="flip">Flip</option>
                      <option value="swing">Swing</option>
                    </select>
                    <?php
                    if($h1!=''){
                      echo "<script>jQuery('#animation_type option').each(function(){ if(jQuery(this).val()=='".$h1."'){ jQuery(this).prop('selected','true') } });</script>";
                    }
                    ?>
                    <p>Select an animation type for your popup.</p>
                    <br>

                    <label for="animation_speed">	Animation Speed	</label>
                    <input type="range" class="vfep-range-slider" min="50" max="1000" step="10">
                    <input type="text" id="vfep-animation_speed" name="popup_settings_animation_speed" value="<?php if($i1!=''){echo esc_html_e($i1);}else{echo'500ms';} ?>" class="pum-range-manual" step="10" min="50" max="1000" data-force-minmax="false">
                    <p class="pum-desc desc">Set the animation speed for the popup. (1000ms = 1s)</p>


                  </label>
                </div>
              </div>


              <div id="vfep-advanced-style" style="display:none;">
		              <label for="overlay_disabled"><b>	Disable Overlay	</b></label>
                  <br>
            			<input type="checkbox" id="overlay_disabled" name="popup_settings_overlay_disabled" value="1" <?php if($j1==1){echo 'checked';}else{echo'';} ?>>
            			<span class="pum-desc desc">Checking this will disable and hide the overlay for this popup.</span>
                  <br>
                  <br>

            			<label for="zindex"><b>	Popup Z-Index</b></label>
                  <br>
                  <input type="number" placeholder="" class="regular-text" id="zindex" name="popup_settings_zindex" value="<?php if($k1!=''){echo esc_html_e($k1);}else{echo'999';} ?>">
                  <br>
                  <span class="pum-desc desc">Change the z-index layer level for the popup.</span>
                  <br>
            			<span class="pum-desc desc">Recommended = 999</span>

              </div>


            </div>
            <!-- vfep-popup-display -->



          <div id="vfep-popup-close" class="vfep-setting-trigger" style="display:none;">
            <input type="checkbox"name="popup_closeenable" value="1" <?php if($m1==1){echo 'checked';}else{echo'';} ?>>
            <label>Redirect on popup close</label>
            <br>
            <br>


            <label for="closeurl"><b>	Close Action</b></label>
            <br>
            <input type="text" placeholder="Your url here..." id="closeurl" name="closeurl" value="<?php if($n1!=''){echo  esc_html_e($n1);}else{echo'';} ?>">
            <br>
            <span class="pum-desc desc">Ex: https://google.com</span>
            <br>
            <span class="pum-desc desc">Trigger url when user try to close the popup.</span>

          </div>

        </div>




      </form>
    </div>
    <div class="vfep-lastside">
      <p>Status: <?php if($a1!=''){echo 'Published';}else{echo'Not Published';} ?></p>
      <p>Last Update On: <?php if($o1!=''){echo esc_html_e($o1);}else{echo'-----';} ?></p>
      <p>Popup Enabled</p>
      <div class="toggle-button-cover">
        <div class="button-cover">
          <div class="button b2" id="button-14">
            <input type="checkbox" <?php if($l1=='true'){echo 'checked';}else{echo'';} ?> class="checkbox" name="checkpopupenable" id="checkpopupenable" >
            <div class="knobs">
              <span></span>
            </div>
            <div class="layer"></div>
          </div>
        </div>
      </div>

      <div class="button button-primary button-large" id="vfep-save">Save</div>

      <hr>
      <p>For Any Query Just Email us at: <code>vforminfo@gmail.com</code></p>

    </div>

</div>
