<?php
defined('ABSPATH') || die("Nice try");


register_activation_hook(VFEXITPOPUP_PLUGIN_FILE, function(){
	global $wpdb;

	$table_name = $wpdb->prefix . 'vfep_data';
	$charset_collate = $wpdb->get_charset_collate();

	$sql = "CREATE TABLE $table_name (
		id int(11) NOT NULL AUTO_INCREMENT,
		title varchar(300) NULL NULL,
		mainhtml longtext NULL NULL,
		cookie varchar(50) NULL NULL,
		targetpage varchar(200) NULl NULL,
		theme varchar(50) NULL NULL,
		popupsize varchar(50) NULL NULL,
		popupbackgroundcolor varchar(50) NULL NULL,
		animation varchar(50) NULL NULL,
		animationspeed varchar(50) NULL NULL,
		disableoverlay varchar(50) NULL NULL,
		popupzindex varchar(50) NULL NULL,
		enabledisablepopup varchar(50) NULL NULL,
		redirectdisabledunable varchar(50) NULL NULL,
    closeurl varchar(500) NULL NULL,
		install_date varchar(100) NULL NULL,
		bkimageurl mediumtext NULL NULL,
		PRIMARY KEY  (id)
	) $charset_collate;";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
  dbDelta( $sql );

	global $wpdb;
	$prefix = $wpdb->prefix;
	$table = $prefix.'vfep_data';
	$data = array(
		"title"=>'',
			"mainhtml"=>'',
			"cookie"=>'',
			"targetpage"=>'',
			"theme"=>'',
			"popupsize"=>'',
			"popupbackgroundcolor"=>'',
			"animation"=>'',
			"animationspeed"=>'',
			"disableoverlay"=>'',
			"popupzindex"=>'',
			"enabledisablepopup"=>'',
			"redirectdisabledunable"=>'',
			"closeurl"=>'',
			"bkimageurl"=>'',
			"install_date"=>''
	);
	$wpdb->insert($table, $data);



});
register_deactivation_hook(VFEXITPOPUP_PLUGIN_FILE,function(){
	// global $wpdb;
	// $prefix = $wpdb->prefix;
	// $table = $prefix.'likesdislikes';
	// $sql = "TRUNCATE TABLE $table;";
	// $wpdb->query($sql);


});
